#!/usr/bin/perl

use Digest::MD5 qw/md5_hex/;
use Time::Local 'timelocal';

sub ConvertToEpoch {

	#------
	# 設定 引数を代入
	#------
	my($date)=@_;

        #------
        # その他変数の初期化
        #------
	my(@localtmp);
	my($date_tmp);
	my($time_tmp);
	my($year);
	my($month);
	my($mday);
	my($hour);
	my($min);
	my($sec);
	my($epoch_time);


	# ログの日付時間を分割
	@localtmp=split(/\ /,$date);
	$date_tmp =$localtmp[0];
	$time_tmp =$localtmp[1];

	# 更に日時を分割
	@localtmp=split(/-/,$date_tmp);
	$year  =$localtmp[0]-1900;
	$month =$localtmp[1]-1;
	$mday  =$localtmp[2];

	# 更に時間を分割
	@localtmp=split(/\:/,$time_tmp);
	$hour    =$localtmp[0];
	$min     =$localtmp[1];
	$sec     =$localtmp[2];

	# ログの日時をエポック秒へ変換
	$epoch_time=timelocal($sec, $min, $hour, $mday, $month, $year);

	return $epoch_time;
}

1;
