#!/usr/bin/perl

# ローカルタイム→エポック時間変換ライブラリ
require "convert_time_to_epoch.pl";
# エポック時間→ローカルタイム変換ライブラリ
require "convert_time_to_local.pl";

##################
# 引数チェック
if ($ARGV[0] eq ""){
	print "引数がありません\n";
	print "使い方：etl_auth_history.pl YYYY-MM-DD hh:dd:ss\n";
	print "YYYY-MM-DDはETL対象となる日付を指定。範囲指定不可\n";
	exit(1);
}

$date1="$ARGV[0] $ARGV[1]";

######################################
# ローカルタイムをエポック時間へ変換
# ライブラリへ処理を渡す
$epoch_time=&ConvertToEpoch($date1);

# 引数で指定した時間に5分後足す
$epoch_time += 300;

######################################
# エポック時間をローカルタイムへ変換
# ライブラリへ処理を渡す
$date2=&ConvertToLocal($epoch_time);

print "引数で指定した時間：       $date1\n";
print "引数で指定した時間の5分後：$date2\n";
