#!/usr/bin/perl

$INPUT_FILE1="input_test1.txt.gz";
$INPUT_FILE2="input_test2.txt.gz";
$OUTPUT_FILE1="output_test1.txt";
$OUTPUT_FILE2="output_test2.txt";

###########
# 使用例1 #

# 出力先ファイルをオープン
open(OUT1, "> $OUTPUT_FILE1");

# 行中にスペース文字を含むファイルを1行ずつ読み込む
open(IN1, "zcat $INPUT_FILE1 |") or die;
while ($line1 = <IN1>) {

  # 改行を削除、
  chomp $line1;

  # 読み込んだ行にメッセージを追加してファイルにOUTPUTする
  print OUT1 "$line1 CHECK OK\n";
}

# 出力先ファイルをクローズ
close(OUT1);

###########
# 使用例2 #

# 出力先ファイルをオープン
open(OUT2, "> $OUTPUT_FILE2");

# CSV形式のファイルを1行ずつ読み込む
open(IN2, "zcat $INPUT_FILE2 |") or die;
while ($line2 = <IN2>) {

  # 改行を削除、
  chomp $line2;

  # カンマで区切ってカラム毎に値を抽出
  @tmp=split(/\,/,$line2);

  # カラムの順番を入れ替えてファイルにOUTPUTする
  print OUT2 "$tmp[0],$tmp[1],$tmp[3],$tmp[2]\n";
}

# 出力先ファイルをクローズ
close(OUT2);

